Bug 85845 - [9 Regression] Many libstdc++ test failures
Summary: [9 Regression] Many libstdc++ test failures
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: libstdc++ (show other bugs)
Version: 9.0
: P3 normal
Target Milestone: 9.0
Assignee: François Dumont
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-19 23:15 UTC by H.J. Lu
Modified: 2018-05-22 05:58 UTC (History)
3 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2018-05-20 00:00:00


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description H.J. Lu 2018-05-19 23:15:57 UTC
On x86, r260382 caused:

FAIL: 23_containers/map/59872.cc (test for excess errors)
FAIL: 23_containers/map/allocator/minimal.cc (test for excess errors)
FAIL: 23_containers/map/allocator/move.cc (test for excess errors)
FAIL: 23_containers/map/debug/construct5_neg.cc (test for excess errors)
FAIL: 23_containers/map/debug/move_neg.cc (test for excess errors)
FAIL: 23_containers/map/requirements/explicit_instantiation/1_c++0x.cc (test for excess errors)
FAIL: 23_containers/map/requirements/explicit_instantiation/1.cc (test for excess errors)
FAIL: 23_containers/map/requirements/explicit_instantiation/2.cc (test for excess errors)
FAIL: 23_containers/map/requirements/explicit_instantiation/3.cc (test for excess errors)
FAIL: 23_containers/map/requirements/explicit_instantiation/4.cc (test for excess errors)
FAIL: 23_containers/map/requirements/explicit_instantiation/5_c++0x.cc (test for excess errors)
FAIL: 23_containers/map/requirements/explicit_instantiation/5.cc (test for excess errors)
FAIL: 23_containers/multimap/allocator/minimal.cc (test for excess errors)
FAIL: 23_containers/multimap/allocator/move.cc (test for excess errors)
FAIL: 23_containers/multimap/debug/construct5_neg.cc (test for excess errors)
FAIL: 23_containers/multimap/debug/move_neg.cc (test for excess errors)
FAIL: 23_containers/multimap/requirements/explicit_instantiation/1_c++0x.cc (test for excess errors)
FAIL: 23_containers/multimap/requirements/explicit_instantiation/1.cc (test for excess errors)
FAIL: 23_containers/multimap/requirements/explicit_instantiation/2.cc (test for excess errors)
FAIL: 23_containers/multimap/requirements/explicit_instantiation/3.cc (test for excess errors)
FAIL: 23_containers/multimap/requirements/explicit_instantiation/4.cc (test for excess errors)
FAIL: 23_containers/multimap/requirements/explicit_instantiation/5_c++0x.cc (test for excess errors)
FAIL: 23_containers/multimap/requirements/explicit_instantiation/5.cc (test for excess errors)
FAIL: 23_containers/multiset/allocator/minimal.cc (test for excess errors)
FAIL: 23_containers/multiset/allocator/move.cc (test for excess errors)
FAIL: 23_containers/multiset/debug/construct5_neg.cc (test for excess errors)
FAIL: 23_containers/multiset/debug/move_neg.cc (test for excess errors)
FAIL: 23_containers/multiset/requirements/explicit_instantiation/1_c++0x.cc (test for excess errors)
FAIL: 23_containers/multiset/requirements/explicit_instantiation/1.cc (test for excess errors)
FAIL: 23_containers/multiset/requirements/explicit_instantiation/2.cc (test for excess errors)
FAIL: 23_containers/multiset/requirements/explicit_instantiation/3.cc (test for excess errors)
FAIL: 23_containers/multiset/requirements/explicit_instantiation/4.cc (test for excess errors)
FAIL: 23_containers/multiset/requirements/explicit_instantiation/5_c++0x.cc (test for excess errors)
FAIL: 23_containers/multiset/requirements/explicit_instantiation/5.cc (test for excess errors)
FAIL: 23_containers/set/allocator/minimal.cc (test for excess errors)
FAIL: 23_containers/set/allocator/move.cc (test for excess errors)
FAIL: 23_containers/set/debug/construct5_neg.cc (test for excess errors)
FAIL: 23_containers/set/debug/move_neg.cc (test for excess errors)
FAIL: 23_containers/set/requirements/explicit_instantiation/1_c++0x.cc (test for excess errors)
FAIL: 23_containers/set/requirements/explicit_instantiation/1.cc (test for excess errors)
FAIL: 23_containers/set/requirements/explicit_instantiation/2.cc (test for excess errors)
FAIL: 23_containers/set/requirements/explicit_instantiation/3.cc (test for excess errors)
FAIL: 23_containers/set/requirements/explicit_instantiation/4.cc (test for excess errors)
FAIL: 23_containers/set/requirements/explicit_instantiation/5_c++0x.cc (test for excess errors)
FAIL: 23_containers/set/requirements/explicit_instantiation/5.cc (test for excess errors)
Comment 1 Rainer Orth 2018-05-20 09:05:46 UTC
E.g. on i386-pc-solaris2.11, I get

FAIL: 23_containers/map/59872.cc (test for excess errors)
Excess errors:
/var/gcc/regression/trunk/11.4-gcc/build/i386-pc-solaris2.11/libstdc++-v3/include/bits/stl_tree.h:983: error: no matching function for call to 'std::_Rb_tree<int, std::pair<const int, MoveOnly>, std::_Select1st<std::pair<const int, MoveOnly> >, std::less<int>, std::allocator<std::pair<const int, MoveOnly> > >::_Rb_tree(std::_Rb_tree<int, std::pair<const int, MoveOnly>, std::_Select1st<std::pair<const int, MoveOnly> >, std::less<int>, std::allocator<std::pair<const int, MoveOnly> > >, std::_Rb_tree<int, std::pair<const int, MoveOnly>, std::_Select1st<std::pair<const int, MoveOnly> >, std::less<int>, std::allocator<std::pair<const int, MoveOnly> > >, std::_Rb_tree<int, std::pair<const int, MoveOnly>, std::_Select1st<std::pair<const int, MoveOnly> >, std::less<int>, std::allocator<std::pair<const int, MoveOnly> > >)'
Comment 2 François Dumont 2018-05-21 16:52:19 UTC
Author: fdumont
Date: Mon May 21 16:51:47 2018
New Revision: 260478

URL: https://gcc.gnu.org/viewcvs?rev=260478&root=gcc&view=rev
Log:
2018-05-21  François Dumont  <fdumont@gcc.gnu.org>

	PR libstdc++/85845
	* include/bits/stl_tree.h
	(_Rb_tree_impl(_Rb_tree_impl&&, _Node_allocator&&)): Fix noexcept
	qualification.

Modified:
    trunk/libstdc++-v3/ChangeLog
    trunk/libstdc++-v3/include/bits/stl_tree.h
Comment 3 François Dumont 2018-05-22 05:58:54 UTC
Regression fixed.